package domain

type AlibabaHmMarketingItempoolItemAddAsyncMarketResult struct {
	/*
	   处理结果     */
	Message *string `json:"message,omitempty" `

	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   结果数据     */
	Datas *[]AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku `json:"datas,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaHmMarketingItempoolItemAddAsyncMarketResult) SetMessage(v string) *AlibabaHmMarketingItempoolItemAddAsyncMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemAddAsyncMarketResult) SetErrorCode(v string) *AlibabaHmMarketingItempoolItemAddAsyncMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemAddAsyncMarketResult) SetDatas(v []AlibabaHmMarketingItempoolItemAddAsyncItemPoolSku) *AlibabaHmMarketingItempoolItemAddAsyncMarketResult {
	s.Datas = &v
	return s
}
func (s *AlibabaHmMarketingItempoolItemAddAsyncMarketResult) SetSuccess(v bool) *AlibabaHmMarketingItempoolItemAddAsyncMarketResult {
	s.Success = &v
	return s
}
